Subject: Re: [musl] Re: Powerpc Linux 'scv' system call ABI proposal take 2

From: Florian Weimer <[email-masked]>
Date: Wed, 22 Apr 2020 10:11:49 +0200

* Nicholas Piggin:

> So I would be disinclined to use SIGSYS unless there are no other better 
> signal types, and we don't want to use SIGILL for some good reason -- is 
> there a good reason to add complexity for userspace by differentiating 
> these two situations?

No, SIGILL seems fine to me.  scv 0 and scv 1 could well be considered
different instructions eventually (with different mnemonics).